(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    var AtomEnumerator = /** @class */ (function () {
        function AtomEnumerator(items) {
            this.items = items;
            this.index = -1;
        }
        AtomEnumerator.prototype.next = function () {
            this.index++;
            return this.index < this.items.length;
        };
        Object.defineProperty(AtomEnumerator.prototype, "current", {
            get: function () {
                return this.items[this.index];
            },
            enumerable: false,
            configurable: true
        });
        Object.defineProperty(AtomEnumerator.prototype, "currentIndex", {
            get: function () {
                return this.index;
            },
            enumerable: false,
            configurable: true
        });
        return AtomEnumerator;
    }());
    exports.default = AtomEnumerator;
});
//# sourceMappingURL=AtomEnumerator.js.map