import { App } from "../../App";
import { IClassOf, INotifyPropertyChanging } from "../../core/types";
import { AtomStyle } from "./AtomStyle";
export declare class AtomStyleSheet implements INotifyPropertyChanging {
    readonly app: App;
    readonly name: string;
    styleElement: any;
    styles: {
        [key: string]: AtomStyle;
    };
    private lastUpdateId;
    private isAttaching;
    constructor(app: App, name: string);
    getNamedStyle<T extends AtomStyle>(c: IClassOf<T>): AtomStyle;
    createNamedStyle<T extends AtomStyle>(c: IClassOf<T>, name: string, updateTimeout?: number): T;
    onPropertyChanging(name: string, newValue: any, oldValue: any): void;
    pushUpdate(delay?: number): void;
    dispose(): void;
    attach(): void;
}
//# sourceMappingURL=AtomStyleSheet.d.ts.map