import Color from "../../core/Color";
import { BorderStyleType, IStyleDeclaration } from "./IStyleDeclaration";
export declare type CssNumber = number | string;
export declare function cssNumberToString(n: CssNumber, unit?: string): string;
export default class StyleBuilder {
    private style?;
    static get newStyle(): StyleBuilder;
    private constructor();
    toStyle(): IStyleDeclaration;
    size(width: CssNumber, height: CssNumber): StyleBuilder;
    roundBorder(radius: CssNumber): StyleBuilder;
    border(borderWidth: CssNumber, borderColor: Color, borderStyle?: BorderStyleType): StyleBuilder;
    center(width: CssNumber, height: CssNumber): StyleBuilder;
    absolute(left: CssNumber, top: CssNumber, right?: CssNumber, bottom?: CssNumber): StyleBuilder;
    private merge;
}
//# sourceMappingURL=StyleBuilder.d.ts.map